"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.makeBinjumperSync = exports.makeBinjumper = exports.getBinjumper = void 0;
const path_1 = require("path");
const fs_1 = require("fs");
const util_1 = require("util");
const binjumper_1 = require("./binjumper");
Object.defineProperty(exports, "getBinjumper", { enumerable: true, get: function () { return binjumper_1.getBinjumper; } });
async function makeBinjumper(opts) {
    const jumperData = binjumper_1.getBinjumper();
    const exeName = path_1.join(opts.dir, `${opts.name}.exe`);
    const infoName = path_1.join(opts.dir, `${opts.name}.exe.info`);
    const writeFilePromise = util_1.promisify(fs_1.writeFile);
    const mkdirPromise = util_1.promisify(fs_1.mkdir);
    await mkdirPromise(opts.dir, { recursive: true });
    await Promise.all([
        writeFilePromise(exeName, jumperData),
        writeFilePromise(infoName, [opts.target, ...(opts.args || [])].join('\n')),
    ]);
}
exports.makeBinjumper = makeBinjumper;
function makeBinjumperSync(opts) {
    const jumperData = binjumper_1.getBinjumper();
    const exeName = path_1.join(opts.dir, `${opts.name}.exe`);
    const infoName = path_1.join(opts.dir, `${opts.name}.exe.info`);
    fs_1.mkdirSync(opts.dir, { recursive: true });
    fs_1.writeFileSync(exeName, jumperData);
    fs_1.writeFileSync(infoName, [opts.target, ...(opts.args || [])].join('\n'));
}
exports.makeBinjumperSync = makeBinjumperSync;
